Subject: Re: Confilict definitions of transaction response acknowledgement

From: Troy Cauble <[email-masked]>
Date: Fri, 27 Apr 2001 14:55:01 -0400

Christian,

I wish I'd paid attention to this sooner.

You're right.  We already had a way to do
this.  Now we have two ways to express the
same thing.

-troy

Christian Groves wrote:
> 
> Hello Richie,
> 
> Doesn't:
> messageBody             CHOICE
>         {
>                 messageError    ErrorDescriptor,
>                 transactions    SEQUENCE OF Transaction
>         },
> 
> Transaction ::= CHOICE
> {
>         transactionRequest      TransactionRequest,
>         transactionPending      TransactionPending,
>         transactionReply        TransactionReply,
>         transactionResponseAck  TransactionResponseAck,
>           -- use of response acks is dependent on underlying transport
>         ...
> }
> 
> Effectively give you a means of returning non sequential transactionIDs.
> ie.
> Message
> TransactionResponseAck = { 1234 }
> TransactionResponseAck = { 123-456
> TransactionResponseAck = { 9 }
> TransactionResponseAck = { 78-100 }
> 
> But I guess the proposed addition is cleaner.
> 
> Cheers, Christian
> 
> Richie Wu wrote:
> >
> > Hello everybody,
> >
> > There are conflict definitions of transaction response
> > acknowledgement between ASN.1 and ABNF, the ABNF
> > syntax is:
> > transactionResponseAck = ResponseAckToken LBRKT
> > transactionAck
> >
> > *(COMMA transactionAck) RBRKT
> > transactionAck = transactionID / (transactionID "-"
> > transactionID)
> >
> > the ASN.1 syntax is:
> > TransactionResponseAck ::= SEQUENCE
> > {
> >         firstAck        TransactionId,
> >         lastAck         TransactionId OPTIONAL
> > }
> >
> > As per the ABNF definition we can acknowledge a list
> > of unsequential transaction, for example
> > TransactionResponseAck = { 1234, 123-456, 9, 78-100 }.
> > But, as per ASN.1 syntax, only one transaction or a
> > sequential range of transaction can be acknowledged at
> > one time, viz. Either
> > TransactionResponseAck = { 123} or
> > TransactionResponseAck = {123-456}.
> >
> > So, I think we can change the ASN.1 syntax as the
> > following:
> > TransactionResponseAck ::= SEQUENCE OF TransactionAck
> > TransactionAck ::= SEQUENCE
> > {
> >         firstAck        TransactionId,
> >         lastAck         TransactionId OPTIONAL
> > }
> >
> > Best regards,
> >
> > Richie Wu
> >
> > =====
> > Huawei Technologies India Private Limited
> >
> > Unit 10, 2nd Floor, Innovator Block
> > International Tech Park, Whitefield Main Road
> > Bangalore 560 066, India
> > TEL: 0091-80-841 0061/0753/0755
> > FAX: 0091-80-841 0063
> >
> > __________________________________________________
> > Do You Yahoo!?
> > Yahoo! Auctions - Buy the things you want at great prices.
> > http://auctions.yahoo.com/